Subject: Re: Removing files

From: Seth Falcon <[email-masked]>
Date: Thu, 11 Jan 2007 14:25:46 -0800

[email-masked] (Alex Riesen) writes:

> David Kågedal, Thu, Jan 11, 2007 21:10:20 +0100:
>> I'm wondering what the best way to commit the removal of a file is.
>
> git commit -a :)

:-(

I just ran into this very same thing.  I would vote for 'git rm'
and/or 'git add' doing the right thing here.  I'm probably missing the
reason they don't already.

Perhaps the doc should also highlight git's globbing, as opposed to
shell globbing as it is particularly useful when you have already
removed files and want to do:

git update-index --remove 'the-old-place/*.txt' 

+ seth